Bug 969518 (CVE-2013-2852) - CVE-2013-2852 kernel: b43: format string leaking into error msgs
Summary: CVE-2013-2852 kernel: b43: format string leaking into error msgs
Keywords:
Status: NEW
Alias: CVE-2013-2852
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 971387 971389 971390 971391 971665 998412
Blocks: 969516
TreeView+ depends on / blocked
 
Reported: 2013-05-31 16:20 UTC by Petr Matousek
Modified: 2019-11-29 22:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1051 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 22:22:03 UTC
Red Hat Product Errata RHSA-2013:1080 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 21:21:21 UTC
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC
Red Hat Product Errata RHSA-2013:1450 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-10-22 21:02:36 UTC

Description Petr Matousek 2013-05-31 16:20:43 UTC
The module parameter "fwpostfix" is userspace controllable, unfiltered, and is used to define the firmware filename. b43_do_request_fw() populates ctx->errors[] on error, containing the firmware filename. b43err() parses its arguments as a format string. For systems with b43 hardware, this could lead to a uid-0 to ring-0 escalation.

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.

Comment 3 Petr Matousek 2013-06-06 11:31:00 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue does affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6, and Red Hat Enterprise MRG. Future updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG may address this issue.

Comment 6 Petr Matousek 2013-06-07 06:05:37 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 971665]

Comment 8 Fedora Update System 2013-06-13 06:05:22 UTC
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-06-14 04:51:31 UTC
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-07-01 01:33:28 UTC
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2013-07-16 17:30:50 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html

Comment 12 errata-xmlrpc 2013-07-16 18:38:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html

Comment 14 errata-xmlrpc 2013-09-16 17:05:38 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Comment 15 errata-xmlrpc 2013-10-22 17:02:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only

Via RHSA-2013:1450 https://rhn.redhat.com/errata/RHSA-2013-1450.html


Note You need to log in before you can comment on or make changes to this bug.